#
# spec file for package slurp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           slurp
Version:        1.2.0
Release:        lp152.1.5
Summary:        Wayland region selector
License:        MIT
Group:          System/GUI/Other
URL:            https://github.com/emersion/slurp
Source:         https://github.com/emersion/slurp/archive/v%{version}.tar.gz
BuildRequires:  meson >= 0.48.0
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14

%description
Tool to select a region in a Wayland compositor.
Meant to be used with a tool called grim.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -I/usr/include/wayland"
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/slurp
%{_mandir}/man1/slurp.1%{?ext_man}

%changelog
* Tue Jun  4 2019 mvetter@suse.com
- Update to 1.2.0:
  * It's now possible to provide a list of predefined
    regions to choose from
  * A single-pixel selection mode has been added
  * Check out the README for some examples:
    https://github.com/emersion/slurp#example-usage
* Mon Feb 25 2019 mvetter@suse.com
- Update to 1.1.0:
  * Add man-pages option like swaywm/sway@ba16f16e4d5a
  * Display alpha in usage
  * Add user-defined output formatting (#33)
  * Abort on escape (#25)
  * Support selection across multiple outputs (#27)
* Wed Feb 13 2019 mvetter@suse.com
- Update to 1.0.1:
  * Mention scdoc as optional dependency
  * Remove erronous endif
  * Fix frame callback running after output free
  * Use linux/input-event-codes.h on FreeBSD
* Wed Feb  6 2019 mvetter@suse.com
- Initial package of slurp 1.0 for openSUSE
